#!/bin/sh

# This helper script will handle uninstalling s3
set -e

source /scripts/utils.sh
print_header "Begin of $0 from ${HOSTNAME}"

source /scripts/terraform.sh

if [ -z "${namingPrefix}" ] ; then
    echo "Must set env namingPrefix"
    exit 1
fi

if [ -z "${appsNamespace}" ] ; then
    echo "Must set env appsNamespace"
    exit 1
fi

if [ -z "${bucketName}" ]; then
  echo "Must set env bucketName"
  exit 1
fi

source /scripts/iam.sh

tfAdditionalVarsFile=${tfRoot}/additional_settings.auto.tfvars
echo "iam_policy_prefix = \"${externalNamingPrefix}\"" >> ${tfAdditionalVarsFile}

terraform_init
terraform_output

terraform_get read_only_policy readOnlyPolicy
terraform_get read_write_policy readWritePolicy

dettach_iam_policy $readOnlypolicy
dettach_iam_policy $readWritepolicy

run_cmd cp /etc/config/bucket-policy.json /terraform/

terraform_destroy

print_header "Cleaning up kube resources"
arnConfigMapName=${namingPrefix}-arn
run_cmd  kubectl --namespace ${appsNamespace} delete configmap ${arnConfigMapName} --ignore-not-found
run_cmd  kubectl --namespace ${infraNamespace} delete configmap ${arnConfigMapName} --ignore-not-found

outputsConfigMapName=${namingPrefix}-outputs
run_cmd  kubectl --namespace ${appsNamespace} delete configmap ${outputsConfigMapName} --ignore-not-found
run_cmd  kubectl --namespace ${infraNamespace} delete configmap ${outputsConfigMapName} --ignore-not-found

print_header "$0 done."
